version: 3.6-dev_{build}
clone_depth: 10
install:
  - c:\msys64\usr\bin\sh.exe -lc "pacman -Sy --noconfirm bash pacman msys2-runtime"
  - c:\msys64\usr\bin\sh.exe -lc "pacman -Syu --noconfirm"
  - c:\msys64\usr\bin\sh.exe -lc "echo 'Building on:'"
  - c:\msys64\usr\bin\sh.exe -lc "uname -a"
  - c:\msys64\usr\bin\sh.exe -lc "cat /proc/cpuinfo"
  - c:\msys64\usr\bin\sh.exe -lc "cat /proc/meminfo"
  - c:\msys64\usr\bin\sh.exe -lc "cygcheck -s -v > $APPVEYOR_BUILD_FOLDER/cygcheck.log 2>&1"
  - c:\msys64\usr\bin\sh.exe -lc "/mingw64/bin/x86_64-w64-mingw32-gcc.exe -v"
  - ps: Push-AppveyorArtifact cygcheck.log
build_script:
  - c:\msys64\usr\bin\sh.exe -lc "cd $APPVEYOR_BUILD_FOLDER; ./autogen.sh < /dev/null"
  - c:\msys64\usr\bin\sh.exe -lc "cd $APPVEYOR_BUILD_FOLDER; env CC=/mingw64/bin/x86_64-w64-mingw32-gcc.exe ./configure --prefix=c:/projects/charybdis/build --enable-openssl=/mingw64 < /dev/null"
  - c:\msys64\usr\bin\sh.exe -lc "cd $APPVEYOR_BUILD_FOLDER; make -j2 < /dev/null"
  - c:\msys64\usr\bin\sh.exe -lc "cd $APPVEYOR_BUILD_FOLDER; make install < /dev/null"
  - c:\msys64\usr\bin\sh.exe -lc "cd $APPVEYOR_BUILD_FOLDER/build/bin; ./charybdis -version"
on_failure:
  - ps: Push-AppveyorArtifact config.log
